// components/releaseItem/releaseItem.js
import { navigateTo } from '../../utils/util'

Component({
  /**
   * 组件的属性列表
   */
  properties: {
    item: Object,
    index: Number
  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    onNavTo: function (e) {
      navigateTo(`/pages/detail/detail?id=${this.properties.item.id}`)
    },
    onEditTap: function (e) {
      this.triggerEvent('edit', { index: this.properties.index })
    },
    onDelTap: function (e) {
      this.triggerEvent('del', { index: this.properties.index })
    }
  }
})
