import { getAppStatus } from '../api/index.js';

export const getStatus = () => {
  return new Promise((resolve, reject) => {
    getAppStatus().then((result) => {
      const data = result.data
      resolve(data.isPass)
    }).catch((err) => {
      resolve(1)
    })
  })
}
