// components/listItem/listItem.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    item: Object,
    index: Number,
    disable: {
      type: Boolean,
      value: false
    },
    hideBtn: {
      type: Boolean,
      value: false
    }
  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    onNavTo: function (e) {
      // 限制按钮点击
      if (!this.properties.disable) {
        this.triggerEvent('join', { index: this.properties.index })
      }
    },
    onJoin: function (e) {
      // 限制按钮点击
      if (!this.properties.disable) {
        this.triggerEvent('join', { index: this.properties.index })
      } else {
        this.triggerEvent('join')
      }
    }
  }
})
